<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_HotelCheckAvailRequest StructType
 * @subpackage Structs
 */
class JP_HotelCheckAvailRequest extends AbstractStructBase
{
    /**
     * The HotelOption
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelOptionRequest
     */
    public $HotelOption;
    /**
     * The SearchSegmentsHotels
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_SearchSegmentsHotels
     */
    public $SearchSegmentsHotels;
    /**
     * The RelPaxesDist
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_HotelRelPaxDist
     */
    public $RelPaxesDist;
    /**
     * Constructor method for JP_HotelCheckAvailRequest
     * @uses JP_HotelCheckAvailRequest::setHotelOption()
     * @uses JP_HotelCheckAvailRequest::setSearchSegmentsHotels()
     * @uses JP_HotelCheckAvailRequest::setRelPaxesDist()
     * @param \StructType\JP_HotelOptionRequest $hotelOption
     * @param \StructType\JP_SearchSegmentsHotels $searchSegmentsHotels
     * @param \ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist
     */
    public function __construct(\StructType\JP_HotelOptionRequest $hotelOption = null, \StructType\JP_SearchSegmentsHotels $searchSegmentsHotels = null, \ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist = null)
    {
        $this
            ->setHotelOption($hotelOption)
            ->setSearchSegmentsHotels($searchSegmentsHotels)
            ->setRelPaxesDist($relPaxesDist);
    }
    /**
     * Get HotelOption value
     * @return \StructType\JP_HotelOptionRequest|null
     */
    public function getHotelOption()
    {
        return $this->HotelOption;
    }
    /**
     * Set HotelOption value
     * @param \StructType\JP_HotelOptionRequest $hotelOption
     * @return \StructType\JP_HotelCheckAvailRequest
     */
    public function setHotelOption(\StructType\JP_HotelOptionRequest $hotelOption = null)
    {
        $this->HotelOption = $hotelOption;
        return $this;
    }
    /**
     * Get SearchSegmentsHotels value
     * @return \StructType\JP_SearchSegmentsHotels|null
     */
    public function getSearchSegmentsHotels()
    {
        return $this->SearchSegmentsHotels;
    }
    /**
     * Set SearchSegmentsHotels value
     * @param \StructType\JP_SearchSegmentsHotels $searchSegmentsHotels
     * @return \StructType\JP_HotelCheckAvailRequest
     */
    public function setSearchSegmentsHotels(\StructType\JP_SearchSegmentsHotels $searchSegmentsHotels = null)
    {
        $this->SearchSegmentsHotels = $searchSegmentsHotels;
        return $this;
    }
    /**
     * Get RelPaxesDist value
     * @return \ArrayType\ArrayOfJP_HotelRelPaxDist|null
     */
    public function getRelPaxesDist()
    {
        return $this->RelPaxesDist;
    }
    /**
     * Set RelPaxesDist value
     * @param \ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist
     * @return \StructType\JP_HotelCheckAvailRequest
     */
    public function setRelPaxesDist(\ArrayType\ArrayOfJP_HotelRelPaxDist $relPaxesDist = null)
    {
        $this->RelPaxesDist = $relPaxesDist;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_HotelCheckAvailRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
